Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.classify
Class ConfidencePredictingClassifier

    java.lang.Object
      cc.mallet.classify.Classifier
          cc.mallet.classify.ConfidencePredictingClassifier

All Implemented Interfaces:
  AlphabetCarrying, java.io.Serializable

    public class ConfidencePredictingClassifier

extends Classifier

See Also:
  Serialized Form

Field Summary

Fields inherited from class cc.mallet.classify.Classifier
`instancePipe`

Constructor Summary
`ConfidencePredictingClassifier(Classifier underlyingClassifier, Classifier confidencePredictingClassifier)`

Method Summary
`Classification` | `classify(Instance instance)`
`double` | `meanCorrect()`
`double` | `meanIncorrect()`
`void` | `printAverageScores()`
`void` | `printConfidenceAccuracy()`

Methods inherited from class cc.mallet.classify.Classifier
`alphabetsMatch, classify, classify, classify, getAccuracy, getAlphabet, getAlphabets, getAverageRank, getF1, getF1, getF1, getFeatureSelection, getInstancePipe, getLabelAlphabet, getPerClassFeatureSelection, getPrecision, getPrecision, getPrecision, getRecall, getRecall, getRecall, print, print`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfidencePredictingClassifier

    public ConfidencePredictingClassifier(Classifier underlyingClassifier,
                                          Classifier confidencePredictingClassifier)

Method Detail

### classify

    public Classification classify(Instance instance)

  Specified by:
    `classify` in class `Classifier`

### printAverageScores

    public void printAverageScores()

### printConfidenceAccuracy

    public void printConfidenceAccuracy()

### meanCorrect

    public double meanCorrect()

### meanIncorrect

    public double meanIncorrect()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD